Subject: Lad in China

From: [email-masked] (Zuhan Xi)
Date: Wed, 30 Mar 94 18:47:52 CST

Hi, Netters.  I posted "questions about lad in China" this morning and received
several responces so far.  I greatly apprecite all the information and suggestion[C[C[C[C[C[C[C[C[C[C[C[C[Csugges-
ion you provied.  All the responces comformed that filing I-824 is the first
step for lads in China.  

But I was told by my friend this afternoon that I should file I-130 for lad in
China.  He went to Baltimore INS with his lads this mornoing for his lads' 
final processing.  He asked a officer about that question.  The answer was
I-130 form (Petition for alien relative).

Do I really need file I-130 form now?  Does anyone can explain this?  I need
whole picture (procrdure) about applying GC for lad in China.  Your 
valuable comments are greatly appreciated.

Thanks for your help.